# -*- coding: utf-8 -*-
Name:    mix2005
Version: 1.1.0
Release: alt5.1
Summary: %name - GUI alsa mixer
License: GPL
Group:   Sound
URL:     http://sf.net/projects/heroines
Source:  %name-%version-src.tar.bz2
Source1: %name.menu
Source2: %{name}_16x16.xpm
Source3: %{name}_32x32.xpm
Source4: %{name}_64x64.xpm

Patch0:  mix2005-alt-Makefile.mix.patch
# build with libquicktimehv
Patch1:  guicast-alt-Makefile.patch
# new bash in C3.0
Patch2:  mix2005-alt-Makefile-newshell.patch
# proper linking order
Patch3:  mix2005-1.1.0-alt-Makefile.diff
# build with libquicktime (lqt) fails (with 0.9.7) :(
# they needs rediff
Patch10:  mix2005-alt-Makefile-lqt.patch
Patch11:  guicast-alt-Makefile-lqt.patch

Patch30:  guicast-bclistbox-fix-extra-qualification.patch
Patch31:  guicast-bcfilelist-alt-gcc4.patch 

Summary(ru_RU.UTF-8): %name - Графический миксер для звуковой системы alsa.

%define _unpackaged_files_terminate_build 1

BuildPreReq: libquicktimehv-devel > 1.2.2-alt1

# Automatically added by buildreq on Fri Apr 04 2008 (-bi)
BuildRequires: gcc-c++ libXv-devel libalsa-devel libmesa-devel libpng-devel libquicktimehv-devel libX11-devel libXext-devel libXxf86vm-devel libstdc++-devel xorg-x11-proto-devel zlib-devel


%description
mix2005 is a GUI alsa mixer from Heroines Virtual, Ltd.

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch30 -p1
%patch31 -p1

%build
%make_build

%install
#makeinstall
%__install -D %name/*/%name $RPM_BUILD_ROOT%_bindir/%name

%__install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

# backwards compatibility with Master 2x/Compact 30
%{?!_niconsdir:%define _niconsdir %_iconsdir}
%__install -D -m644 %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
%__install -D -m644 %SOURCE3 $RPM_BUILD_ROOT%_niconsdir/%name.xpm
%__install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_menudir/%name
%_miconsdir/%name.xpm
%_niconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Fri Apr 04 2008 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt5.1
- refreshed buildreq

* Mon May 15 2006 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt5
- C++ fixes for gcc 4

* Mon Mar 27 2006 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt4.1
- xorg 7.0 support

* Tue Mar 21 2006 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt4
- fixed makefile for new Sisyphus build requirements

* Thu Mar 09 2006 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt3
- ld --as-needed support
- %%_niconsdir support

* Sat Jan 28 2006 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt2
- fix for new bash

* Mon Nov 28 2005 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1.1
- polished Makefile patch

* Mon Nov 21 2005 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1
- first build for Sisyphus

* Tue Aug 30 2005 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1
- first build

